/*
 *      interface.h
 *      
 *      Copyright 2008 Tuxgasy <tuxgasy@tuxfamily.org>
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef DEF_INTERFACE
#define DEF_INTERFACE

#include "main.h"

enum {CATEGORY_COLUMN, REF_CAT_COLUMN, REF_SUBCAT_COLUMN, N_COLUMN_CATEGORY};
enum {PRODUCTS_COLUMN, PRICE_PRODUCTS_COLUMN, REF_PRODUCTS_COLUMN, N_COLUMN_PRODUCTS};
enum {CATEGORY_ADDED_COLUMN, SUBCATEGORY_ADDED_COLUMN,
			PRODUCTS_ADDED_COLUMN, PRICE_PRODUCTS_ADDED_COLUMN, QUANTITY_PRODUCTS_ADDED_COLUMN,
			REF_CAT_PRODUCTS_ADDED_COLUMN, REF_SUBCAT_PRODUCTS_ADDED_COLUMN, REF_PRODUCTS_ADDED_COLUMN,
			N_COLUMN_PRODUCTS_ADDED};

/*** main window ***/
void initWindow(glda* pGlda);

/*** menu bar ***/
GtkWidget* create_pMenuBar(glda *pGlda);

/*** toolbars ***/
GtkWidget *create_pToolbar(glda *pGlda);

void updateRecentOpenFile(glda *pGlda);

void AddNewOpenFile(glda *pGlda, char *filename);

/*** category and subcategory ***/
GtkWidget* create_pCategory(glda *pGlda);

/*** list of category ***/
void create_ListCategory(glda *pGlda);

/*** list of products ***/
void create_pListProductsByReference(glda *pGlda, gchar *pRefCategory, gchar *pRefSubCategory);

/*** buttons Add/Dell/Print ***/
GtkWidget* create_pAddDellPrint(glda *pGlda);

/*** list of products added ***/
GtkWidget* create_pListProductsAdded(glda *pGlda);

void addProduct(glda *pGlda);

void addProductToListProductsAdd(glda *pGlda,
																	gchar *pCategoryName, gchar *pSubCategoryName,
																	gchar *pProductName, gchar *pProductPrice,
																	gchar *pRefCategory, gchar *pRefSubCategory, gchar *pRefProduct,
																	/*gint*/ gchar *quantity);

void removeProduct(glda *pGlda);

void refreshTotalPriceAndQuantity(glda *pGlda);

void saveListProductsAdded(glda *pGlda);

gboolean saveListProductsAddedToXml(glda *pGlda);

void openListProducts(glda *pGlda);

gboolean addListProductFromXml(glda *pGlda);

gboolean saveOrNoBeforeQuit(glda *pGlda);

void saveViewBeforeQuit(glda *pGlda);

void dialogInfo(glda *pGlda, gchar *message);

gboolean dialogYesAndNo(glda *pGlda, gchar *message);

void dialogError(glda *pGlda, gchar *message);

/********************************* About's window *********************************/
void create_pAbout(glda* pGlda);

#endif
